메인 콘텐츠로 건너뛰기
POST
/
replicate
/
v1
/
models
/
{models}
/
predictions
Create a Replicate prediction
curl --request POST \
  --url https://api.cometapi.com/replicate/v1/models/{models}/predictions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "prompt": "A paper boat floating on calm water at sunrise.",
    "aspect_ratio": "1:1",
    "output_format": "webp",
    "output_quality": 80
  }
}
'
{
  "id": "q4chw5rey9rmt0cww76t4h3ma4",
  "model": "black-forest-labs/flux-schnell",
  "version": "hidden",
  "input": {
    "aspect_ratio": "1:1",
    "output_format": "webp",
    "output_quality": 80,
    "prompt": "A paper boat floating on calm water at sunrise."
  },
  "logs": "",
  "output": null,
  "data_removed": false,
  "error": null,
  "source": "api",
  "status": "starting",
  "created_at": "2026-03-12T11:27:18.258Z",
  "urls": {
    "cancel": "https://api.replicate.com/v1/predictions/q4chw5rey9rmt0cww76t4h3ma4/cancel",
    "get": "https://api.replicate.com/v1/predictions/q4chw5rey9rmt0cww76t4h3ma4",
    "stream": "https://stream.replicate.com/v1/files/example",
    "web": "https://replicate.com/p/q4chw5rey9rmt0cww76t4h3ma4"
  }
}
이 경로를 사용하면 CometAPI에서 Replicate 스타일 prediction을 시작하고, 이후 폴링에 사용할 prediction id를 반환받을 수 있습니다.

첫 요청 체크리스트

  • 모든 model 파라미터를 input 객체 안에 넣으세요
  • 가장 가벼운 스모크 테스트를 위해 black-forest-labs/flux-schnell부터 시작하세요
  • 특별히 input_image 또는 input_images가 필요하지 않다면 첫 요청은 텍스트 전용으로 유지하세요
  • 상태 확인을 위해 반환된 prediction id를 저장하세요

작업 흐름

1

prediction 생성

이 엔드포인트를 통해 경로 model id와 input 객체를 제출하세요.
2

prediction id 저장

이후 폴링에 필요하므로 반환된 id를 저장하세요.
3

prediction 폴링

output이 채워지거나 오류가 나타날 때까지 Replicate 상태 조회를 계속 진행하세요.
2026-03-12의 실시간 검증에서 black-forest-labs/flux-schnell이 텍스트 전용 요청을 수락하고 상태가 starting인 prediction id를 반환하는 것이 확인되었습니다.

인증

Authorization
string
header
필수

Bearer token authentication. Use your CometAPI key.

경로 매개변수

models
string
필수

Replicate model id, for example black-forest-labs/flux-schnell or black-forest-labs/flux-kontext-pro.

본문

application/json
input
object
필수

Provider-specific model input. Keep all parameters inside this object.

응답

200 - application/json

Prediction accepted.

id
string
필수
model
string
필수
input
object
필수
output
string[] | null
필수
error
string | null
필수
status
string
필수
created_at
string
필수
urls
object
필수
version
string
logs
string
data_removed
boolean
source
string